%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

%define texpkg      xcolor
%define texpkgdir   %{_texmf}/tex/latex/%{texpkg}
%define texpkgdoc   %{_texmf}/doc/latex/%{texpkg}

Name:           tetex-%{texpkg}
Version:        2.09
Release:        1%{?dist}
Summary:        Driver-independent color extensions for LaTeX and pdfLaTeX

Group:          Applications/Publishing
License:        LaTeX Project Public License
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/xcolor.html
# DANTE generates CTAN packages zipfiles on-the-fly
# ftp://ftp.dante.de/tex-archive/macros/latex/contrib/xcolor.zip
Source0:        xcolor-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  tetex-latex
Requires:       tetex-latex
Requires(post): /usr/bin/texhash
Requires(postun): /usr/bin/texhash

%description
Provides easy driver-independent access to several kinds of color
tints, shades, tones, and mixes of arbitrary colors.  It allows a user
to select a document-wide target color model and offers complete tools
for conversion between eight color models.  Additionally, there is a
command for alternating row colors plus repeated non-aligned material
(like horizontal lines) in tables.  Colors can be mixed like
\color{red!30!green!40!blue}.


%prep
%setup -q -n %{texpkg}

%build
latex xcolor.ins
for example in xcolor1.tex xcolor3.tex xcolor4.tex; do
    pdflatex $example
    pdflatex $example
done

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT{%{texpkgdir},%{texpkgdoc}}
install -d -m 755 $RPM_BUILD_ROOT%{_texmf}/dvips/%{texpkg}
install -p -m 644 *.sty *.def $RPM_BUILD_ROOT%{texpkgdir}/
install -p -m 644 *.pro $RPM_BUILD_ROOT%{_texmf}/dvips/%{texpkg}/
install -p -m 644 *.pdf $RPM_BUILD_ROOT%{texpkgdoc}/

%clean
rm -rf $RPM_BUILD_ROOT


%post
texhash >/dev/null 2>&1 || :

%postun
texhash >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc ChangeLog README xcolor?.tex
%{texpkgdir}/
%{_texmf}/dvips/%{texpkg}/
%{_texmf}/doc/


%changelog
* Mon Dec 26 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.09-1
- Update to 2.09.

* Wed Nov 30 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.08-1
- Update to 2.08.

* Mon Oct 17 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.06-1
- Update to 2.06.

* Thu Oct  6 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.05-1
- Update to 2.05.

* Thu Sep 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.04-1
- Update to 2.04.

* Wed Jun  8 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.03-1
- Update to 2.03.
- Dist tag.

* Mon Mar 28 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.02-1
- Update to 2.02.

* Wed Mar 23 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.01-1
- Update to 2.01.

* Wed Feb 23 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.00-1
- First build.
